org.apache.commons.ssl

## Class SSLEchoServer.EchoRunnable

- java.lang.Object
- - org.apache.commons.ssl.SSLEchoServer.EchoRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SSLEchoServer

    public static class SSLEchoServer.EchoRunnable
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`private javax.net.ssl.SSLSocket` `s`

### Constructor Summary

Constructors
Constructor and Description
`SSLEchoServer.EchoRunnable(javax.net.ssl.SSLSocket s)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### s

    private javax.net.ssl.SSLSocket s

### Constructor Detail

#### SSLEchoServer.EchoRunnable

    public SSLEchoServer.EchoRunnable(javax.net.ssl.SSLSocket s)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`